跳到主要内容

Account 对象

account(账户)是一个组织实体,允许注册设备。该 API 旨在满足巴西央行第 491 号规范,因此账户数据必须遵循巴西中央银行定义的信息标准,但任何其他必要字段都可以添加到账户数据中。

定义 Account 对象

Request Body
{
"account_id": "12345678",
"account_type": "natural_person",
"registration_date": "2019-12-11T11:37:15.12-03:00",
"account_data": {
"account_number": "12345678",
"agency_number": "1234"
...
}
}

account 的所有信息交换均使用以下对象定义。在某些情况下,为了方便实现并减少双方之间的数据流,部分信息可以省略。

名称类型描述
account_idstringaccount 的标识符。
每个 account 的该编号必须唯一 (必填)
account_typestring在设备注册系统中注册的 account 类型标识符。账户可以是自然人类型 natural_person 或法人类型 legal_person(必填)
registration_datedatetimeaccount 注册的日期和时间,含时区。(必填)
account_dataobject可以包含任何 account 数据的对象,但如果包含账户号码 account_number 和机构号 agency_number,则两者必须为 string 类型。

提交 Account

Request Body
  {
"account_id": "12345",
...
}
Response Body
  {
"account_id": "12345678",
"account_type": "natural_person",
"registration_date": "2019-12-11T11:37:15.12-03:00",
"account_data": {
"account_number": "12345678",
"agency_number": "1234"
...
}
}

要创建 account,只需将 Account 类型的对象发送到以下端点:

POST https://api.caas.qitech.app/device_manager/account